Support Realtek RTS5227 card reader

Bug #1153618 reported by Anthony Wong on 2013-03-11
40
This bug affects 8 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Fedora)
Expired
Medium
linux (Ubuntu)
Medium
Adam Lee
Quantal
Undecided
Adam Lee
Raring
Medium
Adam Lee

Bug Description

Support of Realtek RTS5227 card reader is currently missing in the kernel, though the support is already in upstream, we need to backport it from upstream to enable this device.

03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device [10ec:5227] (rev 01)

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: blocks-hwcert-enablement
Gavin Guo (mimi0213kimo) wrote :
Gavin Guo (mimi0213kimo) wrote :
Gavin Guo (mimi0213kimo) wrote :
Adam Lee (adam8157) wrote :

Patches for Raring is ready to go

Gavin Guo (mimi0213kimo) wrote :
Adam Lee (adam8157) wrote :

@Gavin, Thank you!

Patches for Quantal are ready to go now.

Adam Lee (adam8157) on 2013-03-14
Changed in linux (Ubuntu):
status: Confirmed → In Progress
Adam Lee (adam8157) wrote :

Gavin tested the patches with Quantal and Raring, both positive.

Patches are waiting to be merged now.

Tim Gardner (timg-tpi) on 2013-03-14
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Adam Lee (adam8157) on 2013-03-15
Changed in linux (Ubuntu Quantal):
status: New → Fix Committed
assignee: nobody → Adam Lee (adam8157)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-13.22

---------------
linux (3.8.0-13.22) raring; urgency=low

  [ Andy Whitcroft ]

  * Revert "SAUCE: fireware: add NO_MSI quirks for o2micro controller"

  [ Kamal Mostafa ]

  * SAUCE: alx: use github.com/qca/alx repo
    - LP: #1154238
  * [packaging] do not use ../.$(series)-env file
  * SAUCE: Convert bnx2x firmware files to ihex format

  [ Qualcomm Atheros, Inc ]

  * SAUCE: alx: Update to heads/master
    - LP: #1154238

  [ Seth Forshee ]

  * SAUCE: efivars: Allow disabling use as a pstore backend
  * [Config] Re-enable CONFIG_PSTORE for x86

  [ Tim Gardner ]

  * Drop efivarfs reverts in favor of 3.8.3 stable updates
    Revert "efivarfs: Validate filenames much more aggressively"
    Revert "efivarfs: guid part of filenames are case-insensitive"
  * [Config] CONFIG_I2C_ISMT=m
    - LP: #1011449
  * [Config] CONFIG_SERIAL_8250_DMA=y,CONFIG_SERIAL_8250_DW=m for x86en
    - LP: #1031162
  * Release Tracking Bug
    - LP: #1155680

  [ Upstream Kernel Changes ]

  * net/sctp: Validate parameter size for SCTP_GET_ASSOC_STATS
    - LP: #1152791
    - CVE-2013-1828
  * mfd: rtsx: Implement driving adjustment to device-dependent callbacks
    - LP: #1153618
  * mfd: rtsx: Support RTS5227
    - LP: #1153618
  * mmc: rtsx: remove driving adjustment
    - LP: #1153618
  * i2c: Adding support for Intel iSMT SMBus 2.0 host controller
    - LP: #1011449
  * i2c: fix i2c-ismt.c printk format warning
    - LP: #1011449
  * serial: quatech: add the other serial identifiers and preliminary
    control code
    - LP: #1031162
  * serial: Remove RM9000 series serial driver.
    - LP: #1031162
  * serial: 8250_pci: remove __devexit usage
    - LP: #1031162
  * serial: 8250: Allow drivers to deliver capabilities
    - LP: #1031162
  * serial: 8250_dw: Don't use UPF_FIXED_TYPE
    - LP: #1031162
  * serial: 8250_dw: Map IO memory
    - LP: #1031162
  * serial: 8250_dw: Move device tree code to separate function
    - LP: #1031162
  * serial: 8250_dw: Set FIFO size dynamically
    - LP: #1031162
  * serial: 8250_dw: Add ACPI 5.0 support
    - LP: #1031162
  * serial: 8250: Add support for dmaengine
    - LP: #1031162
  * serial: 8250_dw: Enable DMA support with ACPI
    - LP: #1031162

  [ Upstream Kernel Changes ]

  * rebase to v3.8.3
 -- Tim Gardner <email address hidden> Mon, 11 Mar 2013 06:53:51 -0600

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Gavin Guo (mimi0213kimo) wrote :

Having worked with Adam for verification with 3.5.0-27

tags: added: verification-done
removed: verification-needed-quantal
Adam Lee (adam8157) on 2013-03-26
tags: added: verification-done-quantal
removed: verification-done

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (13.2 KiB)

This bug was fixed in the package linux - 3.5.0-27.46

---------------
linux (3.5.0-27.46) quantal-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1159991

  [ Steve Conklin ]

  * Start New Release

  [ Upstream Kernel Changes ]

  * crypto: user - fix info leaks in report API
    - LP: #1156790, #1156795, #1156799
    - CVE-2013-2546
  * brcmsmac: fix mismatch in number of custom regulatory rules
    - LP: #1156769

  [ Xiangliang Yu ]

  * SAUCE: PCI: define macro for marvell vendor ID
    - LP: #1159863
  * SAUCE: PCI: fix system hang issue of Marvell SATA host controller
    - LP: #1159863

linux (3.5.0-27.45) quantal-proposed; urgency=low

  [Steve Conklin]

  * no change

linux (3.5.0-27.44) quantal-proposed; urgency=low

  [Steve Conklin]

  * no change

linux (3.5.0-27.43) quantal-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1156821

  [ Adam Lee ]

  * SAUCE: Bluetooth: Add support for 04ca:2007
    - LP: #1153448

  [ Andy Whitcroft ]

  * [Config] re-disable CONFIG_SOUND_OSS_PRECLAIM
    - LP: #1105230

  [ Brad Figg ]

  * Start new release

  [ Kamal Mostafa ]

  * SAUCE: alx: use github.com/qca/alx repo
    - LP: #1154238

  [ Luis Henriques ]

  * [Config] CONFIG_NFS_V4_1=y
    - LP: #1111416

  [ Qualcomm Atheros, Inc ]

  * SAUCE: alx: Update to heads/master
    - LP: #1154238

  [ Upstream Kernel Changes ]

  * Revert "drm: Add EDID_QUIRK_FORCE_REDUCED_BLANKING for ASUS VW222S"
    - LP: #1144961
  * genirq: Avoid deadlock in spurious handling
    - LP: #1144961
  * KVM: s390: Handle hosts not supporting s390-virtio.
    - LP: #1144961
  * v4l: Reset subdev v4l2_dev field to NULL if registration fails
    - LP: #1144961
  * powerpc/eeh: Fix crash when adding a device in a slot with DDW
    - LP: #1144961
  * pcmcia/vrc4171: Add missing spinlock init
    - LP: #1144961
  * USB: DWC3: Generate interrupt on each TRB as default option
    - LP: #1144961
  * usb: dwc3: gadget: fix skip LINK_TRB on ISOC
    - LP: #1144961
  * usb: dwc3: gadget: req->queued must be forced to false in cleanup
    - LP: #1144961
  * Purge existing TLB entries in set_pte_at and ptep_set_wrprotect
    - LP: #1144961
  * ARM: PXA3xx: program the CSMSADRCFG register
    - LP: #1144961
  * ab8500-chargalg: Only root should have write permission on sysfs file
    - LP: #1144961
  * USB: option: add and update Alcatel modems
    - LP: #1144961
  * uprobes/powerpc: Add dependency on single step emulation
    - LP: #1144961
  * drivers/video: fsl-diu-fb: fix pixel formats for 24 and 16 bpp
    - LP: #1144961
  * s390/kvm: Fix store status for ACRS/FPRS
    - LP: #1144961
  * staging: comedi: disallow COMEDI_DEVCONFIG on non-board minors
    - LP: #1144961
  * ALSA: usb-audio: fix Roland A-PRO support
    - LP: #1144961
  * x86-32, mm: Rip out x86_32 NUMA remapping code
    - LP: #1144961
  * x86-32, mm: Remove reference to resume_map_numa_kva()
    - LP: #1144961
  * x86-32, mm: Remove reference to alloc_remap()
    - LP: #1144961
  * ALSA: hda - Release assigned pin/cvt at error path of hdmi_pcm_open()
    - LP: #1144961
  * ab8500_btemp: Demote initcall sequence
    - LP: #1144961
  * Driver co...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
Clemens Bartz (clemens-bartz) wrote :

Problem still exists in trusty with Kernel 3.13.0-29-generic:

02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)

hey560 (hey560) wrote :

The issue was gone in 3.13.0-24 but reappeared in 3.13.0-29 and 3.13.0-30

cb (cbaptista) wrote :

the issue still exist in 3.13.0-32-generic

C. Heindl (heindlc) wrote :

Also still exists in 3.13.0-34-generic

Adam Lee (adam8157) wrote :

#13-#16 seem like regression, please clarify two things:

1, only happens with mmc card, or both mmc and sd?
2, does it work under Ubuntu Raring?

thanks.

Clemens Bartz (clemens-bartz) wrote :

1, Neither SD nor MMC do work

cb (cbaptista) wrote :

This bug still exist in 3.16.0-29-generic

Any idea how to fix it?
Thanks

Description of problem:
Unable to access SDCX cards via the SD Card reader in my T440s.

No issues with any SDHC or micro SDHC cards via an adapter.

Version-Release number of selected component (if applicable):
Realtek PCI-E Card Reader Driver
Current Kernel 4.0.7-200.fc21.x86_64

How reproducible:
Fully

Steps to Reproduce:
1. Insert an EXFAT / FAT / NTFS formatted SDXC Card
2. Card appears in Nautilus and under /run/media/user/XXXXX
3. Attempts to read/write to card result in errors or card corrpution

Actual results:
Numerous errors logged relating to the RTSX and MMC drivers.

Jul 14 10:32:05 t440s kernel: rtsx_pci_sdmmc rtsx_pci_sdmmc.0: no support for card's volts
Jul 14 10:32:05 t440s kernel: mmc0: error -22 whilst initialising SDIO card
Jul 14 10:32:05 t440s kernel: mmc0: error -95 whilst initialising SD card
Jul 14 10:32:05 t440s kernel: rtsx_pci_sdmmc rtsx_pci_sdmmc.0: no support for card's volts
Jul 14 10:32:05 t440s kernel: mmc0: error -22 whilst initialising MMC card

Jul 14 12:03:31 t440s kernel: mmc0: cannot verify signal voltage switch
Jul 14 12:03:31 t440s kernel: mmc0: new ultra high speed SDR104 SDXC card at address 0007
Jul 14 12:03:31 t440s kernel: mmcblk0: mmc0:0007 SD64G 58.2 GiB
Jul 14 12:03:31 t440s kernel: mmcblk0: p1
Jul 14 12:03:31 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jul 14 12:03:31 t440s kernel: mmc0: cannot verify signal voltage switch

Jul 14 12:03:31 t440s kernel: mmc0: tried to reset card
Jul 14 12:03:31 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jul 14 12:03:31 t440s kernel: mmc0: cannot verify signal voltage switch
Jul 14 12:03:31 t440s kernel: mmc0: tried to reset card
Jul 14 12:03:31 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jul 14 12:03:31 t440s kernel: blk_update_request: 2337 callbacks suppressed
Jul 14 12:03:31 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2176
Jul 14 12:03:31 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2184

Expected results:
R/W access should work cleanly with FAT/NTFS formatted cards
R/W access should work for exFAT with the rpmfusion RPMS
 - fuse-exfat-1.1.0-1.fc21.x86_64
 - exfat-utils-1.1.1-1.fc21.x86_64

Additional info:

Current Kernel Modules Version
 - kernel-modules-4.0.5-200.fc21.x86_64

Note that HW Certification for RHEL 7 is underway under https://bugzilla.redhat.com/show_bug.cgi?id=1220211

They should confirm that the device is fully operational with both SDHC and SDXC cards.

Updated RHEL7 BZ 1220211 as the same issues occur

Tested the card under a friends T440s running Ubuntu 15.04

Insert vfat formatted card and create a new file. Then eject card.

[ 1214.355115] mmc0: cannot verify signal voltage switch
[ 1214.467278] mmc0: new ultra high speed SDR104 SDXC card at address 0007
[ 1214.474164] Driver 'mmcblk' needs updating - please use bus_type methods
[ 1214.474277] mmcblk0: mmc0:0007 SD64G 58.2 GiB
[ 1214.476144] mmcblk0: p1
[ 1224.953923] mmcblk0: timed out sending r/w cmd command, card status 0x400900
[ 1225.053874] mmcblk0: timed out sending r/w cmd command, card status 0x400900
[ 1231.207667] mmcblk0: timed out sending r/w cmd command, card status 0x400900
[ 1235.642101] mmcblk0: timed out sending r/w cmd command, card status 0x400900
[ 1240.232505] mmc0: card 0007 removed

Getting the same r/w kernel errors when writing to the card. Ejected card is corrupted and needs re-formatting

Confirms issue isn't specific to my T440s

Appears to still have issues on 15.04 with SDXC Cards

Insert vfat formatted card and create a new file. Then eject card.

[ 1214.355115] mmc0: cannot verify signal voltage switch
[ 1214.467278] mmc0: new ultra high speed SDR104 SDXC card at address 0007
[ 1214.474164] Driver 'mmcblk' needs updating - please use bus_type methods
[ 1214.474277] mmcblk0: mmc0:0007 SD64G 58.2 GiB
[ 1214.476144] mmcblk0: p1
[ 1224.953923] mmcblk0: timed out sending r/w cmd command, card status 0x400900
[ 1225.053874] mmcblk0: timed out sending r/w cmd command, card status 0x400900
[ 1231.207667] mmcblk0: timed out sending r/w cmd command, card status 0x400900
[ 1235.642101] mmcblk0: timed out sending r/w cmd command, card status 0x400900
[ 1240.232505] mmc0: card 0007 removed

Getting the same r/w kernel errors when writing to the card as RHEL7 and Fedora 21. Ejected card is corrupted and needs re-formatting

This bug has been confirmed on two Lenovo T440s laptops

More details on Ubuntu test environment

tom@frank:~$ uname -a
Linux frank 3.19.0-21-generic #21-Ubuntu SMP Sun Jun 14 18:31:11 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

tom@frank:~$ lspci | grep -i RTS
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)

I have the same hardware in my T540p

lspci | grep -i RTS
03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01

The card I have though seems to work on F22 4.0.7

[96429.177768] mmc0: cannot verify signal voltage switch
[96429.284456] mmc0: new ultra high speed SDR50 SDXC card at address 59b4
[96429.284638] mmcblk0: mmc0:59b4 SL64G 59.4 GiB
[96429.285748] mmcblk0: p1

This is admittedly a lower speed. Is it all SDXC cards that aren't working for you or just that specific one? Can you also confirm which kernel versions you are testing? I saw kernel 4.0.7 mentioned but modules 4.0.5.

Based on the link below it does look like I've got a faster class of card

http://panasonic.net/avc/sdcard/industrial_sd/performance.html

Sadly this is the only SDXC card I currently have access to.

Theodotos Andreou (theodotos) wrote :

I am using 3.19.0-28-generic. Still there.

02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)

I have the same issue with microSDHC Kinggston 16GB, Class 10 on TP 450s, F22:

[81969.690224] mmc0: cannot verify signal voltage switch
[81969.754721] mmc0: new ultra high speed SDR104 SDHC card at address 0001
[81969.754895] mmcblk0: mmc0:0001 SD16G 14.6 GiB (ro)
[81969.756149] mmcblk0: p1
[81969.757462] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[81969.827288] mmc0: cannot verify signal voltage switch
[81969.888252] mmc0: tried to reset card
[81969.889490] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[81969.889495] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[81969.890135] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[81969.890138] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[81969.890140] Buffer I/O error on dev mmcblk0, logical block 3837936, async page read
[81969.895589] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[81969.895598] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[81969.897084] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[81969.897090] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[81969.897094] Buffer I/O error on dev mmcblk0p1, logical block 3836912, async page read

[root@dhcp-24-139 ~]# lspci | grep -i RTS
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)

Retesting with a more recent kernel 4.1.8-100.fc21.x86_64

Oct 29 20:40:08 t440s kernel: mmc0: cannot verify signal voltage switch
Oct 29 20:40:08 t440s kernel: mmc0: new ultra high speed SDR104 SDXC card at address 0007
Oct 29 20:40:08 t440s kernel: mmcblk0: mmc0:0007 SD64G 58.2 GiB
Oct 29 20:40:08 t440s kernel: mmcblk0: p1
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Oct 29 20:40:08 t440s kernel: mmc0: cannot verify signal voltage switch
Oct 29 20:40:08 t440s kernel: mmc0: tried to reset card
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x800b00
Oct 29 20:40:08 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Oct 29 20:40:08 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Oct 29 20:40:08 t440s kernel: Buffer I/O error on dev mmcblk0, logical block 15267807, async page read
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Oct 29 20:40:08 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Oct 29 20:40:08 t440s kernel: Buffer I/O error on dev mmcblk0, logical block 15267807, async page read
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Oct 29 20:40:08 t440s kernel: mmc0: cannot verify signal voltage switch
Oct 29 20:40:08 t440s kernel: mmc0: tried to reset card
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Oct 29 20:40:08 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2048
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Oct 29 20:40:08 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2048
Oct 29 20:40:08 t440s kernel: Buffer I/O error on dev mmcblk0p1, logical block 0, async page read
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Oct 29 20:40:08 t440s kernel: mmc0: cannot verify signal voltage switch
Oct 29 20:40:08 t440s kernel: mmc0: tried to reset card
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Oct 29 20:40:08 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2048
Oct 29 20:40:08 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Oct 29 20:40:08 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2048
Oct 29 20:40:08 t440s kernel: Buffer I/O error on dev mmcblk0p1, logical block 0, async page read

same issues

This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora 'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 21 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Similar issues with an Apacer 32GB SDHC card which is also SDR104 rated.

Single fat32 partition gets marked as corrupted and readonly. Need to use a USB3 based card reader to re-format or fsck the partition.

Current kernel - 4.1.10-100.fc21.x86_64

Will attempt to repeat this test next week when I've upgraded to Fedora 23.

Upgraded to Fedora 23 - Same issues with kernel 4.2.6-300.fc23.x86_64

Nov 21 21:29:16 t440s.akl kernel: mmc0: cannot verify signal voltage switch
Nov 21 21:29:16 t440s.akl kernel: mmc0: new ultra high speed SDR104 SDXC card at address 0007
Nov 21 21:29:16 t440s.akl kernel: mmcblk0: mmc0:0007 SD64G 58.2 GiB
Nov 21 21:29:16 t440s.akl kernel: mmcblk0: p1
Nov 21 21:29:16 t440s.akl kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Nov 21 21:29:16 t440s.akl kernel: mmc0: cannot verify signal voltage switch
Nov 21 21:29:16 t440s.akl kernel: mmc0: tried to reset card
Nov 21 21:29:16 t440s.akl kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Nov 21 21:29:16 t440s.akl kernel: mmc0: cannot verify signal voltage switch
Nov 21 21:29:17 t440s.akl kernel: mmc0: tried to reset card
Nov 21 21:29:17 t440s.akl kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Nov 21 21:29:17 t440s.akl kernel: mmc0: cannot verify signal voltage switch
Nov 21 21:29:17 t440s.akl kernel: mmc0: tried to reset card
Nov 21 21:29:17 t440s.akl kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: 133 callbacks suppressed
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142472
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142480
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142488
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142496
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142504
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142512
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142520
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142528
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142536
Nov 21 21:29:17 t440s.akl kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142544
Nov 21 21:29:17 t440s.akl kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900

The problem the the Realtek RTS5227 card reader appears in the last kernel available on Ubuntu 14.04 (kernel 3.16.0-57), as pointed out by Steven Ellis, with basically the same output from dmesg and lspci as Steven Ellis.

montibru (spam-yakafair) wrote :

Good evening all,

my laptop still have this issue, i can read only SD card but not SDXC

my environment :

Laptop : lenovo T440
bdm@bdm-T440:~$ uname -a
Linux bdm-T440 4.4.0-22-generic #40-Ubuntu SMP Thu May 12 22:03:46 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

bdm@bdm-T440:~$ lspci | grep -i RTS
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)

when i inserted a SDXCII of 64go from lexar working well in others OS

i got that:
bdm@bdm-T440:~$ dmesg | tail -25
[ 6233.214229] Buffer I/O error on dev mmcblk0, logical block 0, async page read
[ 6233.214538] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[ 6233.214543] blk_update_request: I/O error, dev mmcblk0, sector 0
[ 6233.214546] Buffer I/O error on dev mmcblk0, logical block 0, async page read
[ 6233.214862] mmcblk0: unknown error -22 sending read/write command, card status 0x900

you support will be appreciated,

cheers

bdm

*********** MASS BUG UPDATE **************

We apologize for the inconvenience. There is a large number of bugs to go through and several of them have gone stale. Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.

Fedora 23 has now been rebased to 4.7.4-100.fc23. Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.

If you experience different issues, please open a new bug report for those.

Download full text (7.7 KiB)

e-test with 4.7.4-100.fc23.x86_64

Sep 28 11:37:20 t440s kernel: mmc0: cannot verify signal voltage switch
Sep 28 11:37:20 t440s kernel: mmc0: new ultra high speed SDR104 SDXC card at address 0007
Sep 28 11:37:20 t440s kernel: mmcblk0: mmc0:0007 SD64G 58.2 GiB
Sep 28 11:37:20 t440s kernel: mmcblk0: p1
Sep 28 11:37:20 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:20 t440s kernel: mmc0: cannot verify signal voltage switch
Sep 28 11:37:20 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:20 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Sep 28 11:37:20 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:20 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Sep 28 11:37:20 t440s kernel: Buffer I/O error on dev mmcblk0, logical block 15267807, async page read
Sep 28 11:37:20 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:20 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Sep 28 11:37:20 t440s kernel: Buffer I/O error on dev mmcblk0, logical block 15267807, async page read
Sep 28 11:37:20 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:20 t440s kernel: mmc0: cannot verify signal voltage switch
Sep 28 11:37:20 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:20 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2048
Sep 28 11:37:20 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:20 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2048
Sep 28 11:37:20 t440s kernel: Buffer I/O error on dev mmcblk0p1, logical block 0, async page read
Sep 28 11:37:20 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:20 t440s kernel: mmc0: cannot verify signal voltage switch
Sep 28 11:37:20 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:21 t440s kernel: mmc0: cannot verify signal voltage switch
Sep 28 11:37:21 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:21 t440s kernel: mmc0: cannot verify signal voltage switch
Sep 28 11:37:21 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:21 t440s kernel: mmc0: cannot verify signal voltage switch
Sep 28 11:37:21 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:21 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2168
Sep 28 11:37:21 t440s kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Sep 28 11:37:21 t440s kernel: blk_update_request: I/O error, dev mmcblk0, sector 2168
Sep 28 11:37:21 t440s kernel: Buffer I/O error on dev mmcblk0p1, logical block 15, async page read

Check if we have a valid partition table

[root@t440s sellis]# fdisk -l /dev/mmcblk0
Disk /dev/mmcbl...

Read more...

With 4.7.4-200.fc24.x86_64:

[21018.804406] mmc0: cannot verify signal voltage switch
[21018.875153] mmc0: new ultra high speed SDR104 SDHC card at address 0001
[21018.884054] mmcblk0: mmc0:0001 SD16G 14.6 GiB (ro)
[21018.885885] mmcblk0: p1
[21018.887897] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[21018.968467] mmc0: cannot verify signal voltage switch
[21019.036179] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[21019.036184] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[21019.036797] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[21019.036803] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[21019.036806] Buffer I/O error on dev mmcblk0, logical block 3837936, async page read
[21019.042829] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[21019.042836] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[21019.043411] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[21019.043416] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[21019.043419] Buffer I/O error on dev mmcblk0p1, logical block 3836912, async page read

The card work fine in both camera and the external card reader.

This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora 'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 23 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Fedora 25
kernel: 4.8.13-300.fc25.x86_64

[122441.643012] mmc0: cannot verify signal voltage switch
[122441.715211] mmc0: new ultra high speed SDR104 SDHC card at address 0001
[122441.720751] mmcblk0: mmc0:0001 SD16G 14.6 GiB
[122441.722562] mmcblk0: p1
[122441.724782] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[122441.816900] mmc0: cannot verify signal voltage switch
[122441.887294] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[122441.887299] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[122441.887866] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[122441.887869] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[122441.887871] Buffer I/O error on dev mmcblk0, logical block 3837936, async page read
[122441.891055] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[122441.891060] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[122441.892012] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[122441.892017] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[122441.892020] Buffer I/O error on dev mmcblk0p1, logical block 3836912, async page read

Confirmed issue - Fedora 25 - 4.8.11-300.fc25.x86_64

Jan 03 15:50:50 t440s. kernel: mmc0: cannot verify signal voltage switch
Jan 03 15:50:50 t440s. kernel: mmc0: new ultra high speed SDR104 SDXC card at address 0007
Jan 03 15:50:50 t440s. kernel: mmcblk0: mmc0:0007 SD64G 58.2 GiB
Jan 03 15:50:50 t440s. kernel: mmcblk0: p1
Jan 03 15:50:50 t440s. kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jan 03 15:50:50 t440s. kernel: mmc0: cannot verify signal voltage switch
Jan 03 15:50:50 t440s. kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jan 03 15:50:50 t440s. kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Jan 03 15:50:50 t440s. kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jan 03 15:50:50 t440s. kernel: mmc0: cannot verify signal voltage switch
Jan 03 15:50:50 t440s. kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jan 03 15:50:50 t440s. kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142320
Jan 03 15:50:50 t440s. kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jan 03 15:50:50 t440s. kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142320
Jan 03 15:50:50 t440s. kernel: Buffer I/O error on dev mmcblk0, logical block 15267790, async page read
Jan 03 15:50:50 t440s. baloo_file.desktop[18594]: QObject::connect: invalid null parameter
Jan 03 15:50:50 t440s. kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jan 03 15:50:50 t440s. baloo_file.desktop[18594]: QObject::connect: invalid null parameter
Jan 03 15:50:50 t440s. kernel: mmc0: cannot verify signal voltage switch
Jan 03 15:50:51 t440s. kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jan 03 15:50:51 t440s. kernel: blk_update_request: I/O error, dev mmcblk0, sector 122140408
Jan 03 15:50:51 t440s. kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Jan 03 15:50:51 t440s. kernel: blk_update_request: I/O error, dev mmcblk0, sector 122140408
Jan 03 15:50:51 t440s. kernel: Buffer I/O error on dev mmcblk0p1, logical block 15267295, async page read

*********** MASS BUG UPDATE **************
We apologize for the inconvenience. There is a large number of bugs to go through and several of them have gone stale. Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.9.3-200.fc25. Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

With 4.9.3-200.fc25.x86_64 in getting another error msgs in dmesg:

[239094.647231] mmc0: problem reading SD Status register
[239095.063242] mmc0: error -110 whilst initialising SD card
[239096.087211] mmc0: problem reading SD Status register
[239096.503267] mmc0: error -110 whilst initialising SD card
[239097.527291] mmc0: problem reading SD Status register
[239097.943232] mmc0: error -110 whilst initialising SD card

but still no access to the card at all.

Download full text (3.2 KiB)

I'm still seeing errors in the kernel logs

Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmc0: cannot verify signal voltage switch
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmc0: new ultra high speed SDR104 SDXC card at address 0007
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: mmc0:0007 SD64G 58.2 GiB
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: p1
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmc0: cannot verify signal voltage switch
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Feb 13 11:04:23 t440s.akl.redhat.com kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Feb 13 11:04:23 t440s.akl.redhat.com kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Feb 13 11:04:23 t440s.akl.redhat.com kernel: Buffer I/O error on dev mmcblk0, logical block 15267807, async page read
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Feb 13 11:04:23 t440s.akl.redhat.com kernel: blk_update_request: I/O error, dev mmcblk0, sector 122142456
Feb 13 11:04:23 t440s.akl.redhat.com kernel: Buffer I/O error on dev mmcblk0, logical block 15267807, async page read
Feb 13 11:04:23 t440s.akl.redhat.com baloo_file.desktop[3012]: QObject::connect: invalid null parameter
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Feb 13 11:04:23 t440s.akl.redhat.com baloo_file.desktop[3012]: QObject::connect: invalid null parameter
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmc0: cannot verify signal voltage switch

Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Feb 13 11:04:23 t440s.akl.redhat.com kernel: blk_update_request: I/O error, dev mmcblk0, sector 2048
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Feb 13 11:04:23 t440s.akl.redhat.com kernel: blk_update_request: I/O error, dev mmcblk0, sector 2048
Feb 13 11:04:23 t440s.akl.redhat.com kernel: Buffer I/O error on dev mmcblk0p1, logical block 0, async page read
Feb 13 11:04:23 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900

Feb 13 11:04:24 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Feb 13 11:04:24 t440s.akl.redhat.com kernel: blk_update_request: I/O error, dev mmcblk0, sector 122140408
Feb 13 11:04:24 t440s.akl.redhat.com kernel: mmcblk0: unknown error -22 sending read/write command, card status 0x900
Feb 13 11:04:24 t440s.akl.redhat.com kernel: blk_update_request: I/O error, dev mmcblk0, sector 122140408
Feb 13 11:04:24 t440s.akl.redhat.com kernel: Buffer I/O error on dev mmcblk0p1, logical block 15267295, async page read

Can't detect a valid filesystem on partition 1 when using...

Read more...

*********** MASS BUG UPDATE **************

We apologize for the inconvenience. There is a large number of bugs to go through and several of them have gone stale. Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25. Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the
relevant data from the latest kernel you are running and any data that might have been requested previously.

I still experience the bug on 4.10.11-200.fc25. Reopening.

$ dmesg
....
[400907.114086] mmc0: cannot verify signal voltage switch
[400907.187122] mmc0: new ultra high speed SDR104 SDHC card at address 0001
[400907.200888] mmcblk0: mmc0:0001 SD16G 14.6 GiB
[400907.202803] mmcblk0: p1
[400907.205391] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[400907.284931] mmc0: cannot verify signal voltage switch
[400907.354893] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[400907.354904] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[400907.355516] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[400907.355525] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[400907.355530] Buffer I/O error on dev mmcblk0, logical block 3837936, async page read
[400907.376586] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[400907.457877] mmc0: cannot verify signal voltage switch
[400907.528358] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[400907.528366] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[400907.529173] mmcblk0: unknown error -22 sending read/write command, card status 0x900
[400907.529181] blk_update_request: I/O error, dev mmcblk0, sector 30703488
[400907.529186] Buffer I/O error on dev mmcblk0p1, logical block 3836912, async page read
$ uname -a
Linux dhcp-24-139.brq.redhat.com 4.10.11-200.fc25.x86_64 #1 SMP Tue Apr 18 17:25:01 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
$

Changed in linux (Fedora):
importance: Unknown → Medium
status: Unknown → Confirmed

This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora 'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Changed in linux (Fedora):
status: Confirmed → Won't Fix

Reopening. Retested with 4.14.13-300.fc27.x86_64. Now, the SDXC card mounts and I am able to see the directory structure and the files within, but reading the files is impossible:

$ cp media/NIKON\ D90/DCIM/102NCD90/DSC_5402.NEF Pictures/2017-10-winter/
cp: error reading 'media/NIKON D90/DCIM/102NCD90/DSC_5402.NEF': Input/output error

dmesg is flooded with:
------- 8<---------------------------------------------------------------------
[149344.199707] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.247071] mmcblk0: error -22 sending status command, retrying
[149344.292484] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.293295] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.339381] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.385501] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.431498] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.477505] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.524546] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.570809] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.617023] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.663024] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.709263] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.757045] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.849252] mmc0: cannot verify signal voltage switch
[149344.920400] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149344.966908] mmcblk0: error -22 sending status command, retrying
[149345.012213] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.012978] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.058938] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.105016] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.151119] mmcblk0: error -22 sending status command, retrying
[149345.196433] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.197233] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.243617] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.289777] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.335861] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.381835] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.427905] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.473882] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
[149345.519910] mmcblk0: response CRC error sending r/w cmd command, card status 0x900
------- -------------------------------------------------------------->8-------

We apologize for the inconvenience. There is a large number of bugs to go through and several of them have gone stale. As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.15.3-300.f27. Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Changed in linux (Fedora):
status: Won't Fix → Confirmed

*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you did actually update, we apologize for the inconvenience (there are a lot of bugs). If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Changed in linux (Fedora):
status: Confirmed → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.